PHP Manual
Prev |  | Next

# fdf_set_file

(PHP 3 >= 3.0.6, PHP 4, PHP 5)

fdf_set_file -- Set PDF document to display FDF data in

## Description

bool fdf_set_file ( resource fdf_document, string url [, string target_frame] )

Selects a different PDF document to display the form results in then the form it originated from.

## Parameters

`fdf_document`

  The FDF document handle, returned by fdf_create(), fdf_open() or fdf_open_string().

`url`

  Should be given as an absolute URL.

`target_frame`

  Use this parameter to specify the frame in which the document will be displayed. You can also set the default value for this parameter using fdf_set_target_frame().

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Passing FDF data to a second form

`<?php /* set content type for Adobe FDF */ fdf_header(); /* start new fdf */ $fdf = fdf_create(); /* set field "foo" to value "bar" */ fdf_set_value($fdf, "foo", "bar"); /* tell client to display FDF data using "fdf_form.pdf" */ fdf_set_file($fdf, "http://www.example.com/fdf_form.pdf"); /* output fdf */ fdf_save($fdf); /* clean up */ fdf_close($fdf); ?>`

## See Also

fdf_get_file()
fdf_set_target_frame()

Prev | Home | Next
fdf_set_encoding | Up | fdf_set_flags